### Constructor

# RB SourceToolbar new

#### Declaration [src]

    RBSourceToolbar*
    rb_source_toolbar_new (
      RBDisplayPage* page,
      GtkAccelGroup* accel_group
    )

#### Description [src]

Creates a new source toolbar for `page`. The toolbar does not initially include a search entry. Call #rb_source_toolbar_add_search_entry to add one. The toolbar content comes from the `RBSource`:toolbar-menu property.

#### Parameters

`page`

  Type: `RBDisplayPage`

  A `RBDisplayPage`.

  The data is owned by the caller of the function.

`accel_group`

  Type: `GtkAccelGroup`

  A `GtkAccelGroup` to add accelerators to.

  The data is owned by the caller of the function.

#### Return value

Type: `RBSourceToolbar`

The `RBSourceToolbar`.

The data is owned by the called function.